import logging
import os

import owncloud


class OwncloudUploader:
    def __init__(self, host: str, user: str, password: str):
        self._host = host
        self._user = user
        self._password = password

    def upload(self, owncloudPath: str, localFilePath: str):
        uploadPath = '{}/{}'.format(owncloudPath, os.path.basename(localFilePath))
        logging.info('Uploading "{}" to "{}" @ "{}"'.format(localFilePath, self._host, uploadPath))

        oc = owncloud.Client(self._host)
        oc.login(self._user, self._password)
        oc.put_file(uploadPath, localFilePath)
